package eta_trial

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

// ManualUser 手工数据关联用户
type ManualUser struct {
	ManualUserId    int `orm:"column(manual_user_id);pk"`
	AdminId         int
	AdminRealName   string
	SysUserId       int
	SysUserRealName string
	CreateTime      time.Time
}

func (m *ManualUser) TableName() string {
	return "manual_user"
}

func (m *ManualUser) Create() (err error) {
	o := orm.NewOrmUsingDB("hz_data_trial")
	_, err = o.Insert(m)
	return
}

// CreateManualAuthReq 新增手工数据权限
type CreateManualAuthReq struct {
	AdminId   int    `json:"admin_id" description:"用户ID"`
	AdminName string `json:"admin_name" description:"用户姓名"`
}
