package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

// EtaTrialActiveRecord ETA试用用户活跃记录表
type EtaTrialActiveRecord struct {
	RecordId   int `orm:"column(record_id);pk"`
	UserName   string
	Mobile     string    // 手机号
	ActiveTime int       // 累计活跃时长
	CreateTime time.Time // 申请时间
	Part       string    // 活跃板块
}

func (m *EtaTrialActiveRecord) TableName() string {
	return "eta_trial_active_record"
}

// Create 新增
func (m *EtaTrialActiveRecord) Create() (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(m)
	return
}

// Update 更新
func (m *EtaTrialActiveRecord) Update(cols []string) (err error) {
	o := orm.NewOrm()
	_, err = o.Update(m, cols...)
	return
}
