package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

// EtaTrialLoginDurationRecord ETA试用客户登录时长记录表
type EtaTrialLoginDurationRecord struct {
	RecordId   int       `orm:"column(record_id);pk"`
	UserName   string    // 用户名称
	Mobile     string    // 手机号
	Duration   int       // 登录时长，单位秒
	CreateTime time.Time // 创建时间
}

func (m *EtaTrialLoginDurationRecord) TableName() string {
	return "eta_trial_login_duration_record"
}

// Create 新增
func (m *EtaTrialLoginDurationRecord) Create() (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(m)
	return
}

// Update 更新
func (m *EtaTrialLoginDurationRecord) Update(cols []string) (err error) {
	o := orm.NewOrm()
	_, err = o.Update(m, cols...)
	return
}
