// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"eta/eta_forum_hub/controllers"
	"eta/eta_forum_hub/controllers/eta_trial"
	"eta/eta_forum_hub/controllers/system"

	"github.com/beego/beego/v2/server/web"
)

func init() {
	ns := web.NewNamespace("/v1",
		web.NSNamespace("/chart",
			web.NSInclude(
				&controllers.ChartInfoController{},
				&controllers.ChartThemeController{},
			),
		),
		web.NSNamespace("/auth",
			web.NSInclude(
				&controllers.AuthController{},
			),
		),
		web.NSNamespace("/admin",
			web.NSInclude(
				&controllers.AdminController{},
			),
		),
		web.NSNamespace("/chart_collect",
			web.NSInclude(
				&controllers.ChartCollectController{},
			),
		),
		web.NSNamespace("/system",
			web.NSInclude(
				&system.SysRoleController{},
				&system.SysGroupController{},
				&system.SysDepartmentController{},
			),
		),
		web.NSNamespace("/eta_trial",
			web.NSInclude(
				&eta_trial.EtaTrialController{},
			),
		),
		web.NSNamespace("/chart_classify",
			web.NSInclude(
				&controllers.ChartClassifyController{},
			),
		),
	)
	web.AddNamespace(ns)
}
